Package ru.bitel.bgbilling.plugins.helpdesk.server.bean

# Class TopicListFilter

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.server.bean.TopicListFilter

public class TopicListFilter extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopicListFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `String`
  `getMessage()`
  `Page`
  `getPage()`
  `Period`
  `getPeriod()`
  `String`
  `getSearchString()`
  `int`
  `getStatus()`
  `String`
  `getTitle()`
  `int`
  `getTopicId()`
  `int`
  `getUserId()`
  `int`
  `getUserID()`
  Deprecated.
  `String`
  `getUserselect()`
  `boolean`
  `isAllMessage()`
  `Boolean`
  `isClosed()`
  `boolean`
  `isNewManagerMessage()`
  `boolean`
  `isNewUserMessage()`
  `boolean`
  `isOnlyNew()`
  `TopicListFilter`
  `setAllMessage(boolean allMessage)`
  `TopicListFilter`
  `setClosed(Boolean closed)`
  `TopicListFilter`
  `setContractId(int contractId)`
  `TopicListFilter`
  `setMessage(String message)`
  `void`
  `setNewManagerMessage(boolean newManagerMessage)`
  `void`
  `setNewUserMessage(boolean newUserMessage)`
  `TopicListFilter`
  `setOnlyNew(boolean onlyNew)`
  `TopicListFilter`
  `setPage(Page page)`
  `TopicListFilter`
  `setPeriod(Period period)`
  `void`
  `setSearchString(String val)`
  `TopicListFilter`
  `setStatus(int status)`
  `TopicListFilter`
  `setTitle(String title)`
  `TopicListFilter`
  `setTopicId(int topicId)`
  `TopicListFilter`
  `setUserId(int userId)`
  `void`
  `setUserID(int userId)`
  Deprecated.
  `TopicListFilter`
  `setUserselect(String userSelect)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TopicListFilter

    public TopicListFilter()

- ## Method Details

  - ### getTopicId

    public int getTopicId()

  - ### setTopicId

    public TopicListFilter setTopicId(int topicId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public TopicListFilter setStatus(int status)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public TopicListFilter setMessage(String message)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public TopicListFilter setContractId(int contractId)

  - ### isClosed

    public Boolean isClosed()

  - ### setClosed

    public TopicListFilter setClosed(Boolean closed)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public TopicListFilter setPeriod(Period period)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public TopicListFilter setTitle(String title)

  - ### getSearchString

    public String getSearchString()

  - ### setSearchString

    public void setSearchString(String val)

  - ### getPage

    public Page getPage()

  - ### setPage

    public TopicListFilter setPage(Page page)

  - ### isAllMessage

    public boolean isAllMessage()

  - ### setAllMessage

    public TopicListFilter setAllMessage(boolean allMessage)

  - ### isNewUserMessage

    public boolean isNewUserMessage()

  - ### setNewUserMessage

    public void setNewUserMessage(boolean newUserMessage)

  - ### isNewManagerMessage

    public boolean isNewManagerMessage()

  - ### setNewManagerMessage

    public void setNewManagerMessage(boolean newManagerMessage)

  - ### isOnlyNew

    public boolean isOnlyNew()

  - ### setOnlyNew

    public TopicListFilter setOnlyNew(boolean onlyNew)

  - ### getUserselect

    public String getUserselect()

  - ### setUserselect

    public TopicListFilter setUserselect(String userSelect)

  - ### getUserId

    public int getUserId()

  - ### getUserID

    @Deprecated public int getUserID()
    Deprecated.
    Использовать `getUserId()`.
    Returns:

  - ### setUserId

    public TopicListFilter setUserId(int userId)

  - ### setUserID

    @Deprecated public void setUserID(int userId)
    Deprecated.
    Использовать `setUserId(int)`.
    Parameters:
      `userId` -